Bug 16482 - devel-пакет должен называться libgnomeoffice-devel
: devel-пакет должен называться libgnomeoffice-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgnomeoffice0.8-devel)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 17074
  Show dependency tree
 
Reported: 2008-07-31 10:13 by
Modified: 2008-11-27 16:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-07-31 10:13:01
Насколько я понимаю, devel-пакет для последней версии библиотеки должен
называться libgnomeoffice-devel
http://www.altlinux.org/Drafts/SharedLibs
------- Comment #1 From 2008-07-31 10:26:44 -------
"Пакет должен иметь название lib%name%abiversion, где %abiversion является
изменяемой частью (если название библиотеки заканчивается на цифру, то во всех
именах пакетов перед %abiversion нужно добавить '-': lib%name-%abiversion,
lib%name-%abiversion-devel etc)."
                ^^^^^^^^^
Собственно почему я так и сделал.
Да и вроде как abi к devel таки тоже относится.
------- Comment #2 From 2008-07-31 10:31:50 -------
(In reply to comment #1)
> "Пакет должен иметь название lib%name%abiversion, где %abiversion является изменяемой
> частью (если название библиотеки заканчивается на цифру, то во всех именах
> пакетов перед %abiversion нужно добавить '-': lib%name-%abiversion, lib%name-%abiversion-devel etc)."
>                 ^^^^^^^^^

Мда. Это пример проставления дефиса. Про проставление %abiversion надо было
читать следующее предложение.

> Да и вроде как abi к devel таки тоже относится.
Как расшифровывается буква b в аббревиатуре abi?
------- Comment #3 From 2008-07-31 11:23:25 -------
(In reply to comment #2)
  ^^^^^^^^^
> 
> Мда. Это пример проставления дефиса. Про проставление %abiversion надо было
> читать следующее предложение.
О. Точно, поправил данный абзац на вики.

> 
> > Да и вроде как abi к devel таки тоже относится.
> Как расшифровывается буква b в аббревиатуре abi?
> 
binary 
------- Comment #4 From 2008-07-31 12:07:10 -------
(In reply to comment #1)
> Да и вроде как abi к devel таки тоже относится.

К devel относится api, а не abi.
------- Comment #5 From 2008-07-31 12:13:55 -------
(In reply to comment #4)

> К devel относится api, а не abi.
> 

Дада, я уже понял что ляпнул :)
------- Comment #6 From 2008-08-10 20:39:03 -------
А когда будет исправление?
------- Comment #7 From 2008-08-11 12:05:19 -------
(In reply to comment #6)
> А когда будет исправление?
> 

В ближайшее время (на этой неделе)
------- Comment #8 From 2008-09-04 12:10:28 -------
Пока ничего не изменилось, gnucash не пересобрать уже второй месяц.
------- Comment #9 From 2008-09-10 13:57:12 -------
(In reply to comment #8)
> Пока ничего не изменилось, gnucash не пересобрать уже второй месяц.
> 

ну вот... ну вот как.. 
чтоб собрать libgnomeoffice 0.7.1 (еще один FR висит рядом) надо libgsf 1.14.9.
Да оно уже ф сизифе.. а у меня в git (единственном) 1.14.7. Вот спрашивается -
вот как я теперь должен выкорячивать это? блин... 
------- Comment #10 From 2008-09-10 16:34:05 -------
(In reply to comment #8)
> Пока ничего не изменилось, gnucash не пересобрать уже второй месяц.
> 

О. 0.7.1-alt1 ушло в сизиф.
------- Comment #11 From 2008-09-10 23:54:25 -------
Единственное я не понял, а при чём тут 0.7?
Вроде бы последняя версия 0.8, о ней и речь...
------- Comment #12 From 2008-09-11 12:12:31 -------
(In reply to comment #11)
> Единственное я не понял, а при чём тут 0.7?
> Вроде бы последняя версия 0.8, о ней и речь...
> 
0.8 это версия abi. версия пакета (тарбола) 0.7.x
http://ftp.acc.umu.se/pub/GNOME/sources/goffice/
------- Comment #13 From 2008-09-28 15:57:14 -------
Ну так шо? Собралось? Баг закрывать?
------- Comment #14 From 2008-11-27 16:55:56 -------
0.7.2-alt1